# $Revision: 1.75 $, $Date: 2011/09/11 18:26:39 $
#
# Conditional build:
%bcond_without	ea		# build without support for linux extented attributes
%bcond_without	static		# build without dar_static
%bcond_without	static_libs	# don't build static libraries
#
%if %{with static}
%define with_static_libs 1
%endif
#
Summary:	dar makes backup of a directory tree and files
Summary(pl.UTF-8):	dar - narzędzie do tworzenia kopii zapasowych drzew katalogów i plików
Name:		dar
Version:	2.4.2
Release:	1
License:	GPL v2
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	b23c0509513b895f4ab9ce9191b2f65b
Patch0:		%{name}-opt.patch
URL:		http://dar.linux.free.fr/
%{?with_ea:BuildRequires:	attr-devel >= 2.4.16-3}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	doxygen >= 1:1.3
BuildRequires:	e2fsprogs-devel
%ifarch alpha
# ICE in 3.3.x up to 3.3.2 - require patched version
BuildRequires:	gcc-c++ >= 5:3.3.2-0.3
%endif
BuildRequires:	gettext-devel
BuildRequires:	groff
BuildRequires:	libgcrypt
BuildRequires:	libgpg-error
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	lzo-devel
BuildRequires:	openssl-devel >= 0.9.7k
BuildRequires:	zlib-devel
%if %{with static}
%{?with_ea:BuildRequires:	attr-static}
BuildRequires:	bzip2-static
BuildRequires:	glibc-static
BuildRequires:	libgcrypt-static
BuildRequires:	libgpg-error-static
BuildRequires:	libstdc++-static
BuildRequires:	lzo-static
BuildRequires:	openssl-static
BuildRequires:	zlib-static
%endif
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't generate `Requires' for sample scripts
%define	_noautoreq bash perl

%description
dar is a shell command, that makes backup of a directory tree and
files.

FILTERS: dar is able to backup from total file system to a single
file. Additionally a mechanism of filters permits, based on the
filename, to exclude or include some files while backing up or
restoring a directory tree. In the other side, a secondary filter
mechanism permits to exclude some branches of a directory tree, or to
only include some branches.

DIFFERENTIAL BACKUP: When making a backup with dar, you have the
possibility to make a full backup or a differential backup. A full
backup, as expected makes backup of all files as specified on the
command line (with or without filters). Instead, a differential
backup, (over filter mechanism), saves only files that have changed
since a given reference backup. Additionally, files that existed in
the reference backup and which do no more exist at the time of the
differential backup are recorded in the backup. At recovery time,
(unless you deactivate it), restoring a differential backup will
update changed files and new files, but also remove files that have
been recorded as deleted. Note that the reference backup can be a full
backup or another differential backup. This way you can make a first
full backup, then many differential backup, each taking as reference
the last backup made.

SLICES: Dar stands for Disk ARchive. From the beginning it was
designed to be able to split an archive over several removable media
whatever their number is and whatever their size is. Thus dar is able
to save over old floppy disk, CD-R, DVD-R, CD-RW, DVD-RW, Zip, Jazz,
etc... Dar is not concerned by un/mounting a removable medium, instead
it is independent of hardware. Given the size, it will split the
archive in several files (called SLICES), eventually pausing before
creating the next one, allowing this way, the user to un/mount a
medium, burn the file on CD-R, send it by email (if your mail system
does not allow huge file in emails, dar can help you here also). By
default, (no size specified), dar will make one slice whatever its
size is. Additionally, the size of the first slice can be specified
separately, if for example you want first to fulfil a partially filled
disk before starting using empty ones. Last, at restoration time, dar
will just pause and prompt the user asking a slice only if it is
missing.

COMPRESSION: last, dar can use compression. By default no compression
is used. Actually only gzip algorithm is implemented, but some room
has been done for bzip2 and any other compression algorithm. Note
that, compression is made before slices, which means that using
compression with slices, will not make slices smaller, but will
probably make less slices in the backup.

DIRECT ACCESS: even using compression dar has not to read the whole
backup to extract one file. This way if you just want to restore one
file from a huge backup, the process will be much faster than using
tar. Dar first reads the catalogue (i.e. the contents of the backup),
then it goes directly to the location of the saved file(s) you want to
restore and proceed to restoration. In particular using slices dar
will ask only for the slice(s) containing the file(s) to restore.

HARD LINK CONSIDERATION: hard links are now properly saved. They are
properly restored if possible. If for example restoring across a
mounted filesystem, hard linking will fail, but dar will then
duplicate the inode and file content, issuing a warning.

EXTENDED ATTRIBUTES: support for extended attributes have to be
activated at compilation time (see INSTALL). Dar is able to save and
restore EA, all or just those of a given namespace (system or user).
If no EA have been saved and restoration occurs over a file that has
EA, they will be preserved. But if they have been saved empty for a
given file, any existing EA for that file will be removed at
restoration time, unless -u and/or -U is given on command-line.

ARCHIVE TESTING thanks to CRC (cyclic redundancy checks), dar is able
to detect data corruption in the archive. Only the file where data
corruption occurred will not be possible to restore, but dar will
restore the other even when compression is used.

USING PIPES dar is now able to produce an archive to its standard
output or named pipe. it is also able to read an archive through a
pair of pipes, to take a remote archive as reference, or even to
restore data from a remote archive. This way it is now possible to
store an archive remotely and in total security (if using encrypted
means)

ISOLATION the catalogue (i.e.: the contents of an archive), can be
extracted (this operation is called isolation) to a small file, that
can in turn be used as reference for differential archive. There is no
more need to provide an archive to be able to create a differential
backup over it, just its catalogue is necessary.

RE-SHAPE SLICES OF AN EXISTING ARCHIVE the external program named
"dar_xform" is able to change the size of slices of a given archive.
The resulting archive is totally identical to archives directly
created by dar. Source archive can be taken from a set of slice, from
standard input or even a named pipe.

%description -l pl.UTF-8
dar jest poleceniem powłoki, które tworzy kopie zapasowe drzew
katalogów i plików. Możliwości:
- Filtry: dar może tworzyć kopię zapasową całego systemu plików do
  pojedynczego pliku; mechanizm filtrów pozwala wyłączać lub dołączać
  pliki przy tworzeniu kopii lub odtwarzaniu z niej.
- Backup różnicowy: dar może tworzyć kopie pełne lub różnicowe
  (zawierające tylko te pliki, które zmieniły się od innego backupu)
- Części (slices): dar oznacza "Disk ARchive". Od początku ma
  możliwość dzielenia archiwów na różne nośniki wymienialne,
  niezależnie od ich liczby i rozmiaru (można tworzyć kopie na CD-R,
  DVD-R, CD-RW, Zip, Jazz...).
- Kompresja: domyślnie dar nie kompresuje danych; ma zaimplementowany
  algorytm gzip, jest przygotowywany do bzip2 i innych. Kompresja jest
  wykonywana przed podziałem na części.
- Bezpośredni dostęp: nawet w przypadku użycia kompresji, dar nie musi
  czytać całej kopii aby odtworzyć jeden plik. Najpierw odczytuje
  katalog, następnie skacze od razu do właściwego miejsca.
- Obsługa twardych dowiązań: dar zachowuje i odtwarza je w miarę
  możliwości; w przypadku niemożliwości wykonania dowiązania, powiela
  plik i wypisuje ostrzeżenie.
- Obsługa rozszerzonych atrybutów (zależnie od opcji kompilacji): dar
  potrafi zachowywać i odtwarzać rozszerzone atrybuty - wszystkie lub
  tylko dotyczące danej przestrzeni nazw (systemowej lub użytkownika).
- Testowanie archiwów: dzięki użyciu CRC dar wykrywa uszkodzone dane;
  tylko uszkodzone pliki nie zostaną odtworzone, reszta tak - nawet w
  przypadku użycia kompresji.
- Użycie rurek - dar może wyprodukować archiwum na standardowe wyjście
  lub do nazwanej rurki. Może także czytać archiwum z pary rurek, a
  nawet odtwarzać ze zdalnego archiwum.
- Rozdzielenie: katalog (zawartość archiwum) może być wyciągnięty do
  małego pliku, który może być używany jako odniesienie dla
  różnicowego backupu.
- Przekształcanie części istniejącego archiwum: zewnętrzny program o
  nazwie dar_xform jest w stanie zmieniać rozmiary części podanego
  archiwum. Może czytać z zestawu kawałków, standardowego wejścia lub
  nazwanej rurki.

%package static
Summary:	Static version of dar backup tool
Summary(pl.UTF-8):	Statyczna wersja archiwizatora dar
Group:		Applications

%description static
Static version of dar backup tool.

%description static -l pl.UTF-8
Statyczna wersja archiwizatora dar.

%package libs
Summary:	Shared version of dar library
Summary(pl.UTF-8):	Współdzielona wersja biblioteki dar
Group:		Libraries

%description libs
Shared version of dar library.

%description libs -l pl.UTF-8
Współdzielona wersja biblioteki dar.

%package devel
Summary:	Header files to develop dar software
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dar
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_ea:Requires:	attr-devel >= 2.4.16-3}
Requires:	bzip2-devel
Requires:	libstdc++-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files to develop software which operates on dar.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do rozwoju oprogramowania korzystającego z
dara.

%package libs-static
Summary:	Static version of dar library
Summary(pl.UTF-8):	Statyczna wersja biblioteki dar
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description libs-static
Static version of dar library.

%description libs-static -l pl.UTF-8
Statyczna wersja biblioteki dar.

%package doc
Summary:	dar - documentation
Summary(pl.UTF-8):	dar - dokumentacja
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Dar ducumentation.

%description doc -l pl.UTF-8
Dokumentacja dla dar.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_ea:--disable-ea-support} \
	%{!?with_static:--disable-dar-static} \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no} \
	--enable-mode=64 \
	--disable-upx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{?with_static:install -d $RPM_BUILD_ROOT/bin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_static:mv -f $RPM_BUILD_ROOT{%{_bindir},/bin}/dar_static}

ln -sf %{_datadir}/%{name} misc/doc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS TODO misc/doc
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdar64.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdar64.so
%{_libdir}/libdar64.la
%{_includedir}/dar
%{_pkgconfigdir}/libdar64.pc

%if %{with static}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%endif

%if %{with static_libs}
%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libdar64.a
%endif

%files doc
%defattr(644,root,root,755)
%{_datadir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dar.spec,v $
Revision 1.75  2011/09/11 18:26:39  areq
- 2.4.2

Revision 1.74  2011/07/23 11:18:52  areq
- 2.4.1

Revision 1.73  2011/06/04 12:45:48  areq
- 2.4.0

Revision 1.72  2011/03/14 20:24:08  areq
- 2.3.11

Revision 1.71  2011/02/04 23:19:37  sparky
- %description for correct %package

Revision 1.70  2010/04/10 11:31:02  uzsolt
- 2.3.10

Revision 1.69  2009/05/23 17:58:29  areq
- 2.3.9

Revision 1.68  2008/06/23 13:33:04  charles
- BR: e2fsprogs-devel (for ext2fs NODUMP flag support)

Revision 1.67  2008/06/22 10:35:14  areq
- 2.3.8

Revision 1.66  2008/02/11 20:51:04  areq
- 2.3.7

Revision 1.65  2007/09/30 12:34:22  areq
- 2.3.6

Revision 1.64  2007/07/01 14:09:59  areq
- 2.3.4

Revision 1.63  2007/05/03 12:12:16  twittner
- try to fix %files:
	error: Failed dependencies:
        /usr/share/dar is needed by dar-2.3.3-1.i486
- rel. 2

Revision 1.62  2007/04/08 20:27:09  shadzik
- corrected man files entry

Revision 1.61  2007/02/27 21:21:07  areq
- 2.3.3

Revision 1.60  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.58  2006/11/04 17:55:40  twittner
- force define %%with_static_libs when dar_static is build
  (building dar_static needs dat static libraries)
- %%define _noaotureq bash perl - bash and perl is esed only
  by sample scripts
- added %%__gettextize - i hope that it will fix error:
  make[1]: Entering directory `/home/users/builder/rpm/BUILD/dar-2.3.1/po'
  /bin/sh @MKINSTALLDIRS@ /tmp/B.fe51ec/dar-2.3.1-root-builder/usr/share

Revision 1.57  2006/09/20 18:40:56  twittner
- keep dar documentation in one place in separate `dar-doc' package
  to avoid breaking html links
- docs files duplication fixed

Revision 1.56  2006/09/19 17:02:39  twittner
- up to 2.3.1

Revision 1.55  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.54  2006/02/27 19:15:37  twittner
- up to 2.3.0

Revision 1.53  2006/01/19 22:13:16  areq
- 2.2.6

Revision 1.52  2005/12/07 21:31:56  twittner
- up to 2.2.5

Revision 1.51  2005/11/06 10:59:09  areq
- 2.2.4

Revision 1.50  2005/10/01 23:05:33  areq
- 2.2.3

Revision 1.49  2005/06/16 21:08:46  twittner
- added bcond_without static_libs

Revision 1.48  2005/05/23 23:20:54  twittner
- up to 2.2.2 (see changes in ChagneLog, especially note for API users)
- updated -opt.patch for 2.2.2
- rel. 0.1

Revision 1.47  2005/03/20 15:03:50  qboosh
- -devel R: zlib-devel

Revision 1.46  2005/03/20 11:39:21  kolodko
- openssl-devel >= 0.9.7d

Revision 1.45  2005/03/20 11:37:29  charles
- dar-devel R: openssl-devel
- STBR

Revision 1.44  2005/02/24 23:14:16  aniolek
- updated to 2.2.1

Revision 1.43  2005/02/22 15:29:09  charles
- BR doxygen
- rel. 1, STBR

Revision 1.42  2005/02/22 14:30:00  charles
- BR: gettext-devel, openssl-devel

Revision 1.41  2005/02/22 12:59:33  charles
- added option --enable-mode=64

Revision 1.40  2005/02/01 21:24:53  charles
- updated to 2.2.0
- proper configure with/without extented attributes
- added %find_lang

Revision 1.39  2005/01/02 14:38:43  twittner
- up to 2.1.5 (fixed bug #29 - "Segmentation fault during backup when hard
  links are involved".
- rel. 0.1 (not tested yet)

Revision 1.38  2004/10/16 01:12:29  paladine
- spelling fix

Revision 1.37  2004/08/31 03:31:57  snurf
- typos / formatting / etc.

Revision 1.36  2004/08/07 12:34:28  qboosh
- -devel deps, release 2

Revision 1.35  2004/08/05 16:34:12  twittner
- add bcond_without ea

Revision 1.34  2004/07/31 09:11:27  twittner
- BR: attr-devel >= 2.4.16-3 - it corrects dependency_libs path in libdar.la

Revision 1.33  2004/07/16 21:32:19  areq
- 2.1.4

Revision 1.32  2004/05/13 20:31:33  ankry
- spaces -> tabs, other cosmetics

Revision 1.31  2004/05/08 10:43:22  areq
- 2.1.3

Revision 1.30  2004/04/25 21:19:10  areq
- 2.1.2

Revision 1.29  2004/04/07 15:23:19  twittner
- rel. 1

Revision 1.28  2004/03/07 13:27:07  eothane
- fixed bconds, some changelog cleanups

Revision 1.27  2004/03/07 11:59:51  areq
- 2.1.1

Revision 1.26  2004/03/04 06:03:01  twittner
- BR: autoconf >= 2.59 in accordance with AC_PREREQ(2.59)

Revision 1.25  2004/03/03 23:58:02  twittner
- removed Makefiles from docs.

Revision 1.24  2004/03/03 19:47:54  qboosh
- fixed deps, moved ldconfig to proper place

Revision 1.23  2004/03/03 04:38:41  twittner
- added subpackage -libs
- rel. 0.2

Revision 1.22  2004/03/02 21:14:40  twittner
- up to 2.1.0 - new API (v.2) for external Graphic user Interface
- -opt.patch updated

Revision 1.21  2004/02/20 12:17:09  qboosh
- BR: autoconf 2.54 (AC_REPLACE_FNMATCH was added in 2.53b; fixes BTS#845)
- strict internal deps, BR libtool with C++ support

Revision 1.20  2004/01/13 14:37:35  deejay1
- updated to 2.0.4

Revision 1.19  2003/12/22 18:40:56  eothane
- updated to 2.0.3

Revision 1.18  2003/12/10 12:02:07  qboosh
- removed workaround on alpha, BR fixed gcc instead

Revision 1.17  2003/12/10 09:39:17  areq
- 2.0.2

Revision 1.16  2003/11/22 23:44:21  areq
- 2.0.1

Revision 1.15  2003/11/10 02:16:18  qboosh
- static library moved to -libs-static subpackage
- added opt patch to use our optflags (except for alpha because of gcc ICE)
- BR: ac,am,lt
- release 0.2

Revision 1.14  2003/11/05 13:31:13  areq
- 2.0.0, TODO: cleanup static package

Revision 1.13  2003/11/03 21:40:54  migo
- new bcond style

Revision 1.12  2003/11/03 18:34:56  twittner
- changes in bcond: '--with static' to '--without static' - now it builds
  with dar_static as default.
- Release 3 for Ac.

Revision 1.11  2003/08/20 10:28:38  qboosh
- fixed file list, enabled EA and LFS (pointed by Tomasz Wittner)
- added missing BRs

Revision 1.10  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.9  2003/05/26 19:33:22  misi3k
- updated to 1.3.0

Revision 1.8  2003/05/26 16:24:52  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:46:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/10 12:50:27  ankry
- typo

Revision 1.5  2003/04/09 21:21:49  ankry
- added _with_static bcond
- fixed build of dar-ststic
- separated static package

Revision 1.4  2003/04/05 10:47:48  ankry
- don't link statically
- install binaries in /usr/bin, not in /bin
- rel. 2

Revision 1.3  2003/04/04 23:22:49  djrzulf
- From: Łukasz Jernaś <deejay1@nsj.srem.pl>:
  - updated to 1.2.1,
  - updated Source0,

Revision 1.2  2002/09/18 23:42:37  qboosh
- pl description (shortened - original is too long)

Revision 1.1  2002/07/04 14:00:53  tjbynum
- Spec file written from scratch.
